Bug 829215 - crash in nouveau when running clutter conformance suite
crash in nouveau when running clutter conformance suite
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 04:52 EDT by Tomeu Vizoso
Modified: 2013-07-31 17:49 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:49:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomeu Vizoso 2012-06-06 04:52:31 EDT
Description of problem:

X session crashes almost always during execution of Clutter's conformance test suite.

Version-Release number of selected component (if applicable):

3.4.0-1.fc17.x86_64

How reproducible:

Almost always when running Clutter's conformance test suite, from master. It doesn't crash always on the same test case.

Steps to Reproduce:
1. cd clutter
2. make test-report
  
Actual results:

X session crashes

Expected results:

X session doesn't crash :)

Additional info:

This gets logged:

Jun  6 10:34:22 cizrna kernel: [ 8945.029964] [drm] 
Jun  6 10:34:22 cizrna kernel: [ 8945.029973] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH 00f00000 0000fe0c 00000000 00000000
Jun  6 10:34:22 cizrna kernel: [ 8945.029976] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP
Jun  6 10:34:22 cizrna kernel: [ 8945.029981] [drm] nouveau 0000:06:00.0: PGRAPH - ch 6 (0x0006f87000) subc 5 class 0x8597 mthd 0x0c04 data 0x00230000
Jun  6 10:34:22 cizrna kernel: [ 8945.029993] [drm] nouveau 0000:06:00.0: VM: trapped read at 0x0000000000 on ch 6 [0x00006f87] PGRAPH/VFETCH/00 reason: PT_NOT_PRESENT
Jun  6 10:34:22 cizrna kernel: [ 8945.037073] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH FAULT
Jun  6 10:34:22 cizrna kernel: [ 8945.037081] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH 00f00000 0000fe0c 00000000 00000000
Jun  6 10:34:22 cizrna kernel: [ 8945.037084] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP
Jun  6 10:34:22 cizrna kernel: [ 8945.037089] [drm] nouveau 0000:06:00.0: PGRAPH - ch 6 (0x0006f87000) subc 5 class 0x8597 mthd 0x0c04 data 0x00230000
Jun  6 10:34:22 cizrna kernel: [ 8945.037099] [drm] nouveau 0000:06:00.0: VM: trapped read at 0x0000000000 on ch 6 [0x00006f87] PGRAPH/VFETCH/00 reason: PT_NOT_PRESENT
Jun  6 10:34:22 cizrna kernel: [ 8945.037133] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH FAULT
Jun  6 10:34:22 cizrna kernel: [ 8945.037140] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH 00f00000 0000fe0c 00000000 00000000
Jun  6 10:34:22 cizrna kernel: [ 8945.037142] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP
Jun  6 10:34:22 cizrna kernel: [ 8945.037146] [drm] nouveau 0000:06:00.0: PGRAPH - ch 6 (0x0006f87000) subc 5 class 0x8597 mthd 0x1908 data 0x00000004
Jun  6 10:34:22 cizrna kernel: [ 8945.037156] [drm] nouveau 0000:06:00.0: VM: trapped read at 0x0000000000 on ch 6 [0x00006f87] PGRAPH/VFETCH/00 reason: PT_NOT_PRESENT
Jun  6 10:34:22 cizrna kernel: [ 8945.045591] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH FAULT
Jun  6 10:34:22 cizrna kernel: [ 8945.045599] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH 00f00000 0000fe0c 00000000 00000000
Jun  6 10:34:22 cizrna kernel: [ 8945.045602] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP
Jun  6 10:34:22 cizrna kernel: [ 8945.045607] [drm] nouveau 0000:06:00.0: PGRAPH - ch 6 (0x0006f87000) subc 5 class 0x8597 mthd 0x0c04 data 0x00230000
Jun  6 10:34:22 cizrna kernel: [ 8945.045617] [drm] nouveau 0000:06:00.0: VM: trapped read at 0x0000000000 on ch 6 [0x00006f87] PGRAPH/VFETCH/00 reason: PT_NOT_PRESENT
Jun  6 10:34:22 cizrna kernel: [ 8945.045642] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH FAULT
Jun  6 10:34:22 cizrna kernel: [ 8945.045649] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH 00f00000 0000fe0c 00000000 00000000
Jun  6 10:34:22 cizrna kernel: [ 8945.045652] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP
Jun  6 10:34:22 cizrna kernel: [ 8945.045656] [drm] nouveau 0000:06:00.0: PGRAPH - ch 6 (0x0006f87000) subc 5 class 0x8597 mthd 0x1540 data 0x000000f0
Jun  6 10:34:22 cizrna kernel: [ 8945.045666] [drm] nouveau 0000:06:00.0: VM: trapped read at 0x0000000000 on ch 6 [0x00006f87] PGRAPH/VFETCH/00 reason: PT_NOT_PRESENT
Jun  6 10:34:22 cizrna kernel: [ 8945.049074] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH FAULT
Jun  6 10:34:22 cizrna kernel: [ 8945.049082] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH 00f00000 0000fe0c 00000000 00000000
Jun  6 10:34:22 cizrna kernel: [ 8945.049085] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP
Jun  6 10:34:22 cizrna kernel: [ 8945.049090] [drm] nouveau 0000:06:00.0: PGRAPH - ch 6 (0x0006f87000) subc 5 class 0x8597 mthd 0x0c04 data 0x00230000
Jun  6 10:34:22 cizrna kernel: [ 8945.049100] [drm] nouveau 0000:06:00.0: VM: trapped read at 0x0000000000 on ch 6 [0x00006f87] PGRAPH/VFETCH/00 reason: PT_NOT_PRESENT
Jun  6 10:34:22 cizrna kernel: [ 8945.049155] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH FAULT
Jun  6 10:34:22 cizrna kernel: [ 8945.049161] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH 00f00000 0000fe0c 00000000 00000000
Jun  6 10:34:22 cizrna kernel: [ 8945.049164] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP
Jun  6 10:34:22 cizrna kernel: [ 8945.049168] [drm] nouveau 0000:06:00.0: PGRAPH - ch 6 (0x0006f87000) subc 5 class 0x8597 mthd 0x1540 data 0x000000f0
Jun  6 10:34:22 cizrna kernel: [ 8945.049178] [drm] nouveau 0000:06:00.0: VM: trapped read at 0x0000000000 on ch 6 [0x00006f87] PGRAPH/VFETCH/00 reason: PT_NOT_PRESENT
Jun  6 10:34:22 cizrna kernel: [ 8945.079312] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH FAULT
Jun  6 10:34:22 cizrna kernel: [ 8945.079320] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH 00f00000 0000fe0c 00000000 00000000
Jun  6 10:34:22 cizrna kernel: [ 8945.079323] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP
Jun  6 10:34:22 cizrna kernel: [ 8945.079328] [drm] nouveau 0000:06:00.0: PGRAPH - ch 6 (0x0006f87000) subc 5 class 0x8597 mthd 0x0c04 data 0x00230000
Jun  6 10:34:22 cizrna kernel: [ 8945.079338] [drm] nouveau 0000:06:00.0: VM: trapped read at 0x0000000000 on ch 6 [0x00006f87] PGRAPH/VFETCH/00 reason: PT_NOT_PRESENT
Jun  6 10:34:22 cizrna kernel: [ 8945.105420] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH FAULT
Jun  6 10:34:22 cizrna kernel: [ 8945.105428] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH 00f00000 0000fe0c 00000000 00000000
Jun  6 10:34:22 cizrna kernel: [ 8945.105431] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP
Jun  6 10:34:22 cizrna kernel: [ 8945.105436] [drm] nouveau 0000:06:00.0: PGRAPH - ch 6 (0x0006f87000) subc 5 class 0x8597 mthd 0x0c04 data 0x00230000
Jun  6 10:34:22 cizrna kernel: [ 8945.105446] [drm] nouveau 0000:06:00.0: VM: trapped read at 0x0000000000 on ch 6 [0x00006f87] PGRAPH/VFETCH/00 reason: PT_NOT_PRESENT
Jun  6 10:34:22 cizrna kernel: [ 8945.128301] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH FAULT
Jun  6 10:34:22 cizrna kernel: [ 8945.128310] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH 00f00000 0000fe0c 00000000 00000000
Jun  6 10:34:22 cizrna kernel: [ 8945.128313] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP
Jun  6 10:34:22 cizrna kernel: [ 8945.128317] [drm] nouveau 0000:06:00.0: PGRAPH - ch 6 (0x0006f87000) subc 5 class 0x8597 mthd 0x1540 data 0x000000f0
Jun  6 10:34:22 cizrna kernel: [ 8945.128330] [drm] nouveau 0000:06:00.0: VM: trapped read at 0x0000000000 on ch 6 [0x00006f87] PGRAPH/VFETCH/00 reason: PT_NOT_PRESENT
Jun  6 10:34:22 cizrna kernel: [ 8945.178893] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH FAULT
Jun  6 10:34:22 cizrna kernel: [ 8945.178899] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP_VFETCH 00f00000 0000fe0c 00000000 00000000
Jun  6 10:34:22 cizrna kernel: [ 8945.178901] [drm] nouveau 0000:06:00.0: PGRAPH - TRAP
Jun  6 10:34:22 cizrna kernel: [ 8945.178903] [drm] nouveau 0000:06:00.0: PGRAPH - ch 6 (0x0006f87000) subc 5 class 0x8597 mthd 0x0c04 data 0x00230000
Jun  6 10:34:22 cizrna kernel: [ 8945.178911] [drm] nouveau 0000:06:00.0: VM: trapped read at 0x0000000000 on ch 6 [0x00006f87] PGRAPH/VFETCH/00 reason: PT_NOT_PRESENT
Comment 1 Tomeu Vizoso 2012-06-06 04:54:58 EDT
Earlier (during boot) I get:

Jun  6 10:05:24 cizrna kernel: [    1.652909] [drm] nouveau 0000:06:00.0: Detected an NV50 generation card (0x0a8180b1)
Jun  6 10:05:24 cizrna kernel: [    1.657169] [drm] nouveau 0000:06:00.0: Checking PRAMIN for VBIOS
Jun  6 10:05:24 cizrna kernel: [    1.733205] [drm] nouveau 0000:06:00.0: ... appears to be valid
Jun  6 10:05:24 cizrna kernel: [    1.733207] [drm] nouveau 0000:06:00.0: Using VBIOS from PRAMIN
Jun  6 10:05:24 cizrna kernel: [    1.733208] [drm] nouveau 0000:06:00.0: BIT BIOS found
Jun  6 10:05:24 cizrna kernel: [    1.733210] [drm] nouveau 0000:06:00.0: Bios version 70.18.5f.00
Jun  6 10:05:24 cizrna kernel: [    1.733212] [drm] nouveau 0000:06:00.0: TMDS table version 2.0
Jun  6 10:05:24 cizrna kernel: [    1.733441] [drm] nouveau 0000:06:00.0: MXM: no VBIOS data, nothing to do
Jun  6 10:05:24 cizrna kernel: [    1.733445] [drm] nouveau 0000:06:00.0: DCB version 4.0
Jun  6 10:05:24 cizrna kernel: [    1.733448] [drm] nouveau 0000:06:00.0: DCB outp 00: 01000302 00020030
Jun  6 10:05:24 cizrna kernel: [    1.733451] [drm] nouveau 0000:06:00.0: DCB outp 01: 02000300 00000000
Jun  6 10:05:24 cizrna kernel: [    1.733454] [drm] nouveau 0000:06:00.0: DCB outp 02: 02011362 00020010
Jun  6 10:05:24 cizrna kernel: [    1.733456] [drm] nouveau 0000:06:00.0: DCB outp 03: 01022310 00000000
Jun  6 10:05:24 cizrna kernel: [    1.733459] [drm] nouveau 0000:06:00.0: DCB conn 00: 00001030
Jun  6 10:05:24 cizrna kernel: [    1.733462] [drm] nouveau 0000:06:00.0: DCB conn 01: 00002161
Jun  6 10:05:24 cizrna kernel: [    1.733464] [drm] nouveau 0000:06:00.0: DCB conn 02: 00000200
Jun  6 10:05:24 cizrna kernel: [    1.733469] [drm] nouveau 0000:06:00.0: Parsing VBIOS init table 0 at offset 0xD97D
Jun  6 10:05:24 cizrna kernel: [    1.794133] [drm] nouveau 0000:06:00.0: 0xDC4A: Condition still not met after 20ms, skipping following opcodes
Jun  6 10:05:24 cizrna kernel: [    1.814080] [drm] nouveau 0000:06:00.0: 0xDC4E: Condition still not met after 20ms, skipping following opcodes
Jun  6 10:05:24 cizrna kernel: [    1.814104] [drm] nouveau 0000:06:00.0: Parsing VBIOS init table 1 at offset 0xDE28
Jun  6 10:05:24 cizrna kernel: [    1.821848] [drm] nouveau 0000:06:00.0: Parsing VBIOS init table 2 at offset 0xE9FB
Jun  6 10:05:24 cizrna kernel: [    1.821856] [drm] nouveau 0000:06:00.0: Parsing VBIOS init table 3 at offset 0xEA14
Jun  6 10:05:24 cizrna kernel: [    1.864258] [drm] nouveau 0000:06:00.0: Parsing VBIOS init table 4 at offset 0xEAFB
Jun  6 10:05:24 cizrna kernel: [    1.864261] [drm] nouveau 0000:06:00.0: Parsing VBIOS init table at offset 0xEB60
Jun  6 10:05:24 cizrna kernel: [    1.884206] [drm] nouveau 0000:06:00.0: 0xD7F1: Condition still not met after 20ms, skipping following opcodes
Jun  6 10:05:24 cizrna kernel: [    1.884253] [drm] nouveau 0000:06:00.0: memory controller reports 512MiB VRAM
Jun  6 10:05:24 cizrna kernel: [    1.884257] [drm] nouveau 0000:06:00.0: we calculated 1024MiB VRAM
Jun  6 10:05:24 cizrna kernel: [    1.889239] [TTM] Zone  kernel: Available graphics memory: 6149004 kiB
Jun  6 10:05:24 cizrna kernel: [    1.889242] [TTM] Zone   dma32: Available graphics memory: 2097152 kiB
Jun  6 10:05:24 cizrna kernel: [    1.889244] [TTM] Initializing pool allocator
Jun  6 10:05:24 cizrna kernel: [    1.889249] [TTM] Initializing DMA pool allocator
Jun  6 10:05:24 cizrna kernel: [    1.889263] [drm] nouveau 0000:06:00.0: Detected 512MiB VRAM (DDR3)
Jun  6 10:05:24 cizrna kernel: [    1.894670] [drm] nouveau 0000:06:00.0: 512 MiB GART (aperture)
Jun  6 10:05:24 cizrna kernel: [    1.963087] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
Jun  6 10:05:24 cizrna kernel: [    1.963090] [drm] No driver support for vblank timestamp query.
Jun  6 10:05:24 cizrna kernel: [    2.122415] [drm] nouveau 0000:06:00.0: 3 available performance level(s)
Jun  6 10:05:24 cizrna kernel: [    2.122421] [drm] nouveau 0000:06:00.0: 0: core 135MHz shader 270MHz memory 135MHz voltage 850mV
Jun  6 10:05:24 cizrna kernel: [    2.122425] [drm] nouveau 0000:06:00.0: 1: core 405MHz shader 810MHz memory 405MHz voltage 900mV
Jun  6 10:05:24 cizrna kernel: [    2.122430] [drm] nouveau 0000:06:00.0: 3: core 520MHz shader 1238MHz memory 600MHz voltage 1000mV
Jun  6 10:05:24 cizrna kernel: [    2.122434] [drm] nouveau 0000:06:00.0: c: core 405MHz shader 810MHz memory 405MHz voltage 900mV
Jun  6 10:05:24 cizrna kernel: [    2.286715] [drm] nouveau 0000:06:00.0: allocated 1920x1080 fb: 0x310000, bo ffff880329901000
Jun  6 10:05:24 cizrna kernel: [    2.286907] fbcon: nouveaufb (fb0) is primary device
Jun  6 10:05:24 cizrna kernel: [    2.308928] Console: switching to colour frame buffer device 240x67
Jun  6 10:05:24 cizrna kernel: [    2.312392] fb0: nouveaufb frame buffer device
Jun  6 10:05:24 cizrna kernel: [    2.312394] drm: registered panic notifier
Jun  6 10:05:24 cizrna kernel: [    2.312479] [drm] Initialized nouveau 1.0.0 20120316 for 0000:06:00.0 on minor 0
Comment 2 Fedora End Of Life 2013-07-03 17:03:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 17:49:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.